<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta http-equiv="Contnet-type" content="text/html;charset=UTF-8">
	<title>js-面向对象选项卡</title>
	<style type="text/css">
		div{
			width:200px;
			height:200px;
			border:1px solid red;
			display: none;
		}
		.dis-b{
			display: block;
		}
		.dis-n{
			display: none;
		}
		.box{
			background:red;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
			new TabSwitch('form1');
		};
		function TabSwitch(id){
			// alert(this); //object
			var _this=this;
			var Ob=document.getElementById(id);
			 	this.Obin=Ob.getElementsByTagName('input')
			 	this.Odiv=Ob.getElementsByTagName("div");
			for(var i=0;i<this.Obin.length;i++){
				this.Obin[i].index=i;
				this.Obin[i].onclick=FnClick=function(){
					_this.FnClick(this);
				};
			};
		};
		TabSwitch.prototype.FnClick=function (Obin){
			// alert(Obin);//input
		 	// alert(this);//object
		 	for(var i=0;i<this.Odiv.length;i++){
				this.Obin[i].className=" ";
				this.Odiv[i].className="dis-n";
			}
			Obin.className="box";
			this.Odiv[Obin.index].className="dis-b";
		};
	</script>
</head>
<body>
	<form action="" id="form1" />
		<input type="button" value="新闻" class="box" />
		<input type="button" value="视频"/>
		<input type="button" value="动漫"/>
		<input type="button" value="音乐"/>
		<div class="dis-b">11</div>
		<div>22</div>
		<div>33</div>
		<div>44</div>
	</form>
</body>
</html>